# script-invoice

script-invoice est un script python qui permet de générer des factures au format docx et pdf à partir \
d'un fichier Excel **Recettes.xlsx**

Le script permet de choisir depuis quelle feuille générer les factures. \
Il prend en compte une ligne de début et une ligne de fin. \
Parmi ces lignes, seules celles avec un numéro de facture seront prises en compte pour la génération des factures

## Installation

j'ai développé ce projet avec Python 3.8.2

il nécessite Microsoft Windows et Microsoft Word 

**Cloner le repo avec**

```
git clone https://gitlab.anthony-jacob.com/anthony.jacob/script-invoice.git
```

**Creer un environement virtuel Python**

```
cd script-invoice
python -m venv venv
```

**Activer l'environement virtuel**

`venv\Scripts\activate.bat`

**Installer les dépendances**

`pip install -r requirements.txt`

**Lancer le programme**

soit en ligne de commande: 

`python main.py`

soit en double cliquant sur **generer.bat**

(generer.bat permet d'activer l'environnement virtuel Python avant d'exécuter main.py\
il faut cependant **modifier le fichier pour y indiquer le bon chemin**)

